[@bigcommerce/checkout-sdk](../README.md) / HostedFieldSubmitRequestEvent

# Interface: HostedFieldSubmitRequestEvent

## Table of contents

### Properties

- [payload](HostedFieldSubmitRequestEvent.md#payload)
- [type](HostedFieldSubmitRequestEvent.md#type)

## Properties

### payload

• **payload**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `data` | [`HostedFormOrderData`](HostedFormOrderData.md) |
| `fields` | [`HostedFieldType`](../enums/HostedFieldType.md)[] |

___

### type

• **type**: [`SubmitRequested`](../enums/HostedFieldEventType.md#submitrequested)
